classification
Title: Recommend .venv for virtual environment names
Type: Stage: resolved
Components: Documentation Versions: Python 3.9
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: brett.cannon Nosy List: brett.cannon, miss-islington
Priority: low Keywords: patch

Created on 2019-06-25 19:11 by brett.cannon, last changed 2019-07-02 23:13 by brett.cannon. This issue is now closed.

Pull Requests
URL Status Linked Edit
PR 14458 merged brett.cannon, 2019-06-28 19:04
PR 14459 merged miss-islington, 2019-06-28 19:14
Messages (3)
msg346549 - (view) Author: Brett Cannon (brett.cannon) * (Python committer) Date: 2019-06-25 19:11
I've been asked enough times about what directory name to use for virtual environments I'm going to update https://docs.python.org/3/library/venv.html#module-venv to suggest `.venv` if you don't have a specific name (`.env` clashes with environment variable definition files which is a common issue I see users run into).
msg346852 - (view) Author: Brett Cannon (brett.cannon) * (Python committer) Date: 2019-06-28 19:14
New changeset f9f8e3ce709ceb15c8db8c8dde940daf1febf13d by Brett Cannon in branch 'master':
bpo-37403: Touch up venv docs (GH-14458)
https://github.com/python/cpython/commit/f9f8e3ce709ceb15c8db8c8dde940daf1febf13d
msg346862 - (view) Author: miss-islington (miss-islington) Date: 2019-06-28 19:36
New changeset 0cba121029bae0a891b02c493cb77633620701be by Miss Islington (bot) in branch '3.8':
bpo-37403: Touch up venv docs (GH-14458)
https://github.com/python/cpython/commit/0cba121029bae0a891b02c493cb77633620701be
History
Date User Action Args
2019-07-02 23:13:48brett.cannonsetstage: needs patch -> resolved
2019-06-28 19:36:31brett.cannonsetstatus: open -> closed
resolution: fixed
stage: patch review -> needs patch
2019-06-28 19:36:14miss-islingtonsetnosy: + miss-islington
messages: + msg346862
2019-06-28 19:14:48miss-islingtonsetpull_requests: + pull_request14276
2019-06-28 19:14:34brett.cannonsetmessages: + msg346852
2019-06-28 19:04:12brett.cannonsetkeywords: + patch
stage: needs patch -> patch review
pull_requests: + pull_request14275
2019-06-25 19:11:52brett.cannoncreate